namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：配方服务  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/2 18:33:18 
    /// 描    述 ：  
    /// </summary>
    public interface IRecipesInfoService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(RecipesInfoAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(RecipesInfoDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(RecipesInfoUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<RecipesInfoOutput>> List();
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<RecipesInfoOutput>> PagedList(RecipesInfoQueryPageInput input);
        /// <summary>
        /// 下拉列表
        /// </summary>
        /// <returns></returns>
        Task<dynamic> SelectList();
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<RecipesInfoOutput> Detail(string Id);
     
    }
}
